Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class Log

    java.lang.Object
      org.jivesoftware.util.Log

    public class Log

extends Object

Simple wrapper to the incorporated LogKit to log under a single logging name.

Author:
  Bruce Ritchie

Method Summary
`static void` | `debug(String s)`
`static void` | `debug(String s, Throwable throwable)`
`static void` | `debug(Throwable throwable)`
`static void` | `error(String s)`
`static void` | `error(String s, Throwable throwable)`
`static void` | `error(Throwable throwable)`
`static void` | `fatal(String s)`
`static void` | `fatal(String s, Throwable throwable)`
`static void` | `fatal(Throwable throwable)`
`static String` | `getLogDirectory()` Returns the directory that log files exist in.
`static void` | `info(String s)`
`static void` | `info(String s, Throwable throwable)`
`static void` | `info(Throwable throwable)`
`static void` | `initLog()` This method is used to initialize the Log class.
`static boolean` | `isDebugEnabled()`
`static boolean` | `isErrorEnabled()`
`static boolean` | `isFatalEnabled()`
`static boolean` | `isInfoEnabled()`
`static boolean` | `isWarnEnabled()`
`static void` | `markDebugLogFile(String username)`
`static void` | `markErrorLogFile(String username)`
`static void` | `markInfoLogFile(String username)`
`static void` | `markWarnLogFile(String username)`
`static void` | `rotateDebugLogFile()`
`static void` | `rotateErrorLogFile()`
`static void` | `rotateInfoLogFile()`
`static void` | `rotateWarnLogFile()`
`static void` | `setDebugEnabled(boolean enabled)`
`static void` | `setProductName(String productName)`
`static void` | `warn(String s)`
`static void` | `warn(String s, Throwable throwable)`
`static void` | `warn(Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initLog

    public static void initLog()

  This method is used to initialize the Log class. For normal operations this method should never be called, rather it's only publically available so that the class can be reset by the setup process once the home directory has been specified.

### setProductName

    public static void setProductName(String productName)

### isErrorEnabled

    public static boolean isErrorEnabled()

### isFatalEnabled

    public static boolean isFatalEnabled()

### isDebugEnabled

    public static boolean isDebugEnabled()

### setDebugEnabled

    public static void setDebugEnabled(boolean enabled)

### isInfoEnabled

    public static boolean isInfoEnabled()

### isWarnEnabled

    public static boolean isWarnEnabled()

### debug

    public static void debug(String s)

### debug

    public static void debug(Throwable throwable)

### debug

    public static void debug(String s,
                             Throwable throwable)

### markDebugLogFile

    public static void markDebugLogFile(String username)

### rotateDebugLogFile

    public static void rotateDebugLogFile()

### info

    public static void info(String s)

### info

    public static void info(Throwable throwable)

### info

    public static void info(String s,
                            Throwable throwable)

### markInfoLogFile

    public static void markInfoLogFile(String username)

### rotateInfoLogFile

    public static void rotateInfoLogFile()

### warn

    public static void warn(String s)

### warn

    public static void warn(Throwable throwable)

### warn

    public static void warn(String s,
                            Throwable throwable)

### markWarnLogFile

    public static void markWarnLogFile(String username)

### rotateWarnLogFile

    public static void rotateWarnLogFile()

### error

    public static void error(String s)

### error

    public static void error(Throwable throwable)

### error

    public static void error(String s,
                             Throwable throwable)

### markErrorLogFile

    public static void markErrorLogFile(String username)

### rotateErrorLogFile

    public static void rotateErrorLogFile()

### fatal

    public static void fatal(String s)

### fatal

    public static void fatal(Throwable throwable)

### fatal

    public static void fatal(String s,
                             Throwable throwable)

### getLogDirectory

    public static String getLogDirectory()

  Returns the directory that log files exist in. The directory name will have a File.separator as the last character in the string.

  Returns:
    the directory that log files exist in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.